Bug 15092 - item type descriptions not showing if no logo
Summary: item type descriptions not showing if no logo
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low critical (vote)
Assignee: Bernardo Gonzalez Kriegel
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 10937
Blocks: 15098
  Show dependency treegraph
 
Reported: 2015-10-30 18:16 UTC by Nicole C. Engard
Modified: 2016-06-21 21:40 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
missing item type images/text (41.32 KB, image/png)
2015-10-30 18:16 UTC, Nicole C. Engard
Details
Bug 15092: item type descriptions not showing in OPAC advsearch (1.33 KB, patch)
2015-10-31 14:12 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 15092: item type descriptions not showing in OPAC advsearch (1.51 KB, patch)
2015-10-31 16:53 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 15092: item type descriptions not showing in OPAC advsearch (1.57 KB, patch)
2015-11-01 13:44 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 15092: (followup) Descriptions not show for search categories (1.58 KB, patch)
2015-11-03 18:23 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 15092: (followup) Descriptions not show for search categories (1.71 KB, patch)
2015-11-04 12:57 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 15092: (followup) Descriptions not show for search categories (1.78 KB, patch)
2015-11-05 06:54 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2015-10-30 18:16:17 UTC
Created attachment 44245 [details]
missing item type images/text

If there is no icon the item type description should show in the opac, but nothing is showing.
Comment 1 Bernardo Gonzalez Kriegel 2015-10-30 22:25:12 UTC
Problem here is in opac-search.pl

$itemytpes = GetItemTypesCategorized;

but this itemtypes don't have 
$itemtypes->{$thisitemtype}->{translated_description}

which is the string printed

I put Jonathan in CC, he knows better
Comment 2 Bernardo Gonzalez Kriegel 2015-10-31 14:12:41 UTC Comment hidden (obsolete)
Comment 3 Marc Véron 2015-10-31 16:53:33 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2015-11-01 13:44:20 UTC
Created attachment 44271 [details] [review]
[PASSED QA] Bug 15092: item type descriptions not showing in OPAC advsearch

Go to OPAC > Advanced Search
Tab 'Item type' only shows itemtype icons,
no descriptions. Descriptions must be shown
always

To test:
1) Go to OPAC > Advanced search
2) Check no descriptions for item types
Also check that, reloading the page, item types
shows in random order
3) Apply the patch
4) Check there are descriptions now
and order is by description

Followed test plan, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Tomás Cohen Arazi 2015-11-01 20:12:42 UTC
Patch pushed to master.

Thanks Bernardo!
Comment 6 Bernardo Gonzalez Kriegel 2015-11-03 18:23:40 UTC Comment hidden (obsolete)
Comment 7 Bernardo Gonzalez Kriegel 2015-11-03 18:25:44 UTC
Added followup to display search categories description
Comment 8 Marc Véron 2015-11-04 12:57:53 UTC Comment hidden (obsolete)
Comment 9 Marc Véron 2015-11-04 12:59:33 UTC
Signed-off on second patch:  Bug 15092: (followup) Descriptions not show for search categories.
Comment 10 Katrin Fischer 2015-11-05 06:54:28 UTC
Created attachment 44453 [details] [review]
[PASSED QA] Bug 15092: (followup) Descriptions not show for search categories

If we have some item types in search categories, description
is not show in opac advanced search

To test:
1) Add some item type to a search category
2) Go to OPAC > Advanced search
empty description for that category
3) Apply the patch
4) Repeat 2), description must be present

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 11 Katrin Fischer 2015-11-05 06:55:20 UTC
This is better, but still one small glitch - if you have no OPAC description set, it should fall back to the staff description like we usually do. But maybe this should go on a separate bug, so this can go in as is as fixing the bigger problem.
Comment 12 Tomás Cohen Arazi 2015-11-05 12:54:12 UTC
Followup pushed to master.

Thanks Bernardo!